Index: /code/trunk/src/orxonox/objects/pickup/ShipEquipment.h
===================================================================
--- /code/trunk/src/orxonox/objects/pickup/ShipEquipment.h	(revision 2093)
+++ /code/trunk/src/orxonox/objects/pickup/ShipEquipment.h	(revision 2094)
@@ -11,15 +11,17 @@
 
 
-namespace orxonox{
+namespace orxonox
+{
+    class _OrxonoxExport ShipEquipment
+    {
+        public:
+            void AddItem(Shipitem toAddItem);
+            void RemoveItem(Shipitem toRemoveItem);
+            bool CheckifValid(Shipitem toBeChecked);
+            int
 
-	class _OrxonoxExport ShipEquipment{
-	public:
-		void AddItem(Shipitem toAddItem);
-		void RemoveItem(Shipitem toRemoveItem);
-		bool CheckifValid(Shipitem toBeChecked);
-		int
-	private:
-		std::multimap<std::string, Item*> Equipment;
-	};
+        private:
+            std::multimap<std::string, Item*> Equipment;
+    };
 }
 
Index: /code/trunk/src/orxonox/objects/pickup/ShipEquipmentClasses.cc
===================================================================
--- /code/trunk/src/orxonox/objects/pickup/ShipEquipmentClasses.cc	(revision 2093)
+++ /code/trunk/src/orxonox/objects/pickup/ShipEquipmentClasses.cc	(revision 2094)
@@ -1,82 +1,92 @@
-const int maxweapons_ =2; //Weaponslots	 (provisorisch)
-const int maxslots_= 50; //Inventoryslots (provisorisch)
+namespace orxonox
+{
+    const int maxweapons_ =2; //Weaponslots	 (provisorisch)
+    const int maxslots_= 50; //Inventoryslots (provisorisch)
 
 
-bool CheckifSpace(){
-	if((Usable.size()+Trunk.size())>=maxslots_)
-		return false;
-	return true;
+    bool ShipEquipment::CheckifSpace()
+    {
+        if((Usable.size()+Trunk.size())>=maxslots_)
+            return false;
+        return true;
+    }
 
+    /* Checks if the Ship can pick an Item up. Permanents will give a "false" back unless the Ship doesnt carry a Item for that Slot (2 Weaponslots) yet.Others will be picked up unless there is no Space in the Trunk.*/
 
+    bool ShipEquipment::CheckifValid(Shipitem* toBeChecked)
+    {
+        switch(toBeChecked.CheckType())
+        {
+        case Powerups:
+            activatePowerUp(); //gibts noch nicht
+            return true;
+        case Permanent:
+            switch (toBeChecked.CheckSubType())
+            {
+            case Weapon:
+                int weaponcheck=0;
+                multimap<string, ShipItem*>::iterator it;
+                for ( it=Equipment.begin() ; it != Equipment.end(); it++ ){
+                    if((*it).second->CheckSubType()==Weapon)
+                        weaponcheck++;
+                };
+                if (weaponcheck>=maxweapons_){
+                    weaponcheck=0;
+                    return false;
+                }
+                break;
+            case Thrusters:
+                multimap<string, ShipItem*>::iterator it;
+                for ( it=Equipment.begin() ; it != Equipment.end(); it++ ){
+                    if((*it).second->CheckSubType()==Thrusters)
+                        return false;
+                }
+                break;
+            case Shields:
+                multimap<string, ShipItem*>::iterator it;
+                for ( it=Equipment.begin() ; it != Equipment.end(); it++ ){
+                    if((*it).second->CheckSubType()==Shields)
+                        return false;
+                }
+                break;
+            case Armor:
+                multimap<string, ShipItem*>::iterator it;
+                for ( it=Equipment.begin() ; it != Equipment.end(); it++ ){
+                    if((*it).second->CheckSubType()==Armor)
+                        return false;
+                }
+                break;
+            default:;
+            }
+        case Useable:
+            return CheckifSpace();
+        case default:;
+        }
+        return true;
+    }
+
+    /*Adds the Item to the Ship*/
+    void ShipEquipment::AddItem(Shipitem* toAddItem)
+    {
+        if(CheckifValid(toAddItem)==true)
+        {
+            switch(toAddItem.CheckType())
+            {
+                case Permanent:
+                    Equipment.insert ( pair<std::string, ShipItem*>(toAddItem.itemname,*toAddItem) );
+                    break;
+                case Usable:
+                    Usable.insert ( pair<std::string, ShipItem*>(toAddItem.itemname,*toAddItem) );
+                    break;
+                case Trunk:
+                    Trunk.insert ( pair<std::string, ShipItem*>(toAddItem.itemname,*toAddItem) );
+                    break;
+            }
+        }
+        else if(toAddItem.CheckType()==Permanent)
+        {
+            if(CheckifSpace()==true)
+                Trunk.insert ( pair<std::string, ShipItem*>(toAddItem.itemname,*toAddItem) );
+        }
+    }
 }
-
-/* Checks if the Ship can pick an Item up. Permanents will give a "false" back unless the Ship doesnt carry a Item for that Slot (2 Weaponslots) yet.Others will be picked up unless there is no Space in the Trunk.*/
-
-bool CheckifValid(Shipitem* toBeChecked){
-
-switch(toBeChecked.CheckType())
-{
-case Powerups:
-	activatePowerUp(); //gibts noch nicht
-		return true;
-case Permanent:
-	switch (toBeChecked.CheckSubType())
-	{
-	case Weapon:
-		int weaponcheck=0;
-		multimap<string, ShipItem*>::iterator it;
-		for ( it=Equipment.begin() ; it != Equipment.end(); it++ ){
-			if((*it).second->CheckSubType()==Weapon)
-			weaponcheck++;
-		};
-		if (weaponcheck>=maxweapons_){
-		weaponcheck=0;
-		return false;
-		}
-	case Thrusters:
-		multimap<string, ShipItem*>::iterator it;
-		for ( it=Equipment.begin() ; it != Equipment.end(); it++ ){
-			if((*it).second->CheckSubType()==Thrusters)
-			return false;
-		}
-	case Shields:
-		multimap<string, ShipItem*>::iterator it;
-		for ( it=Equipment.begin() ; it != Equipment.end(); it++ ){
-			if((*it).second->CheckSubType()==Shields)
-			return false;
-		}
-	case Armor:
-		multimap<string, ShipItem*>::iterator it;
-		for ( it=Equipment.begin() ; it != Equipment.end(); it++ ){
-			if((*it).second->CheckSubType()==Armor)
-			return false;
-		}
-	}
-case Useable:
-		return CheckifSpace();
-}
-return true;
-}
-/*Adds the Item to the Ship*/
-void AddItem(Shipitem* toAddItem){
-	if(CheckifValid(toAddItem)==true){
-		switch(toAddItem.CheckType()){
-			case Permanent:
-				Equipment.insert ( pair<std::string, ShipItem*>(toAddItem.itemname,*toAddItem) );
-				break;
-			case Usable:
-				Usable.insert ( pair<std::string, ShipItem*>(toAddItem.itemname,*toAddItem) );
-				break;
-			case Trunk:
-				Trunk.insert ( pair<std::string, ShipItem*>(toAddItem.itemname,*toAddItem) );
-				break;
-		}
-
-	}
-	else if(toAddItem.CheckType()==Permanent){
-		if(CheckifSpace()==true)
-			Trunk.insert ( pair<std::string, ShipItem*>(toAddItem.itemname,*toAddItem) );
-
-	}
-
-}
Index: /code/trunk/src/orxonox/objects/pickup/ShipEquipmentClasses.h
===================================================================
--- /code/trunk/src/orxonox/objects/pickup/ShipEquipmentClasses.h	(revision 2093)
+++ /code/trunk/src/orxonox/objects/pickup/ShipEquipmentClasses.h	(revision 2094)
@@ -12,25 +12,25 @@
 
 
-/*				std::map<std::itemtype, Item*> EQClasses;
-           	EQClasses["jacke"] = 0;
+/*          std::map<std::itemtype, Item*> EQClasses;
+            EQClasses["jacke"] = 0;
             Item* item = itemMap_["jacke"];
 
            if (itemMap_["jacke"])
            if (itemMap_.find("jacke") != itemMap_.end()) */
-namespace orxonox{
+namespace orxonox
+{
+    class _OrxonoxExport ShipEquipment
+    {
+        public:
+            void AddItem(Shipitem* toAddItem);
+            void RemoveItem(Shipitem* toRemoveItem);
+            bool CheckifValid(Shipitem* toBeChecked);
+            bool CheckifSpace();
 
-	class _OrxonoxExport ShipEquipment{
-	public:
-		void AddItem(Shipitem* toAddItem);
-		void RemoveItem(Shipitem* toRemoveItem);
-		bool CheckifValid(Shipitem* toBeChecked);
-		bool CheckifSpace();
-	private:
-		multimap<std::string, ShipItem*> Equipment;
-		multimap<std::string, ShipItem*> Usable;
-		multimap<std::string, ShipItem*> Trunk;
-	};
-
-
+        private:
+            multimap<std::string, ShipItem*> Equipment;
+            multimap<std::string, ShipItem*> Usable;
+            multimap<std::string, ShipItem*> Trunk;
+    };
 }
 
Index: /code/trunk/src/orxonox/objects/pickup/ShipItem.h
===================================================================
--- /code/trunk/src/orxonox/objects/pickup/ShipItem.h	(revision 2093)
+++ /code/trunk/src/orxonox/objects/pickup/ShipItem.h	(revision 2094)
@@ -8,90 +8,85 @@
 
 
-namespace orxonox{
-class _OrxonoxExport ShipItem{
+namespace orxonox
+{
+    class _OrxonoxExport ShipItem
+    {
+        enum itemType //Diffrent Types of Items
+        {
+            Useable,
+            Powerups,
+            Permanent
+        };
 
-	enum itemType{ //Diffrent Types of Items
+        public:
+            itemType CheckType();
+            virtual
 
-			Useable,
-			Powerups,
-			Permanent
-			};
-
-	public:
-		itemType CheckType();
-		virtual
-
-	private:
-		itemType type;
-		string itemname;
-	};
+        private:
+            itemType type;
+            string itemname;
+    };
 
 
-/* Useables are Items the Player can choose when to activate and then show an instant action/effect
- * or for a certain duration */
-class _OrxonoxExport Useable : public ShipItem{
+    /* Useables are Items the Player can choose when to activate and then show an instant action/effect
+     * or for a certain duration */
+    class _OrxonoxExport Useable : public ShipItem
+    {
+        enum subItemTypeUseable //Diffrent Types of Items of the Type Useable
+        {
+            Rockets,
+            Repairkits,
+            Triggers,		//trigger events usable by the player (Quests f.exp.)
+            Boosters,
+            Shields,
+            Appearance,
+        };
 
+        public:
+            //subItemTypeUseable CheckSubType();
 
-	enum subItemTypeUseable{ //Diffrent Types of Items of the Type Useable
-			Rockets,
-			Repairkits,
-			Triggers,		//trigger events usable by the player (Quests f.exp.)
-			Boosters,
-			Shields,
-			Appearance,
-			};
+        private:
+            subItemTypeUseable subtype_usable;
+    };
 
-			public:
-				//subItemTypeUseable CheckSubType();
+    /* Permanents are Items, that effect the Player or his Ship from the instance he picks them up
+       until he drops them again */
+    class _OrxonoxExport Permanent : public ShipItem
+    {
+        enum subItemTypePermanent //Diffrent Types of Items of the Type Permanent
+        {
+            Weapon,
+            Thrusters,
+            Shields,
+            Armor
+        };
 
-			private:
-				subItemTypeUseable subtype_usable;
-};
+        public:
+            subItemTypePermanent CheckSubType();
 
-/* Permanents are Items, that effect the Player or his Ship from the instance he picks them up
-   until he drops them again */
-class _OrxonoxExport Permanent : public ShipItem{
+        private:
+            subItemTypePermanent subtype_permanent;
+    };
 
-	enum subItemTypePermanent{ //Diffrent Types of Items of the Type Permanent
-			Weapon,
-			Thrusters,
-			Shields,
-			Armor
-			};
-			public:
-				subItemTypePermanent CheckSubType();
+    // Powerups effect the Player right after he picks them up for a certain Duration /or permanently.
+    class _OrxonoxExport Powerups : public ShipItem
+    {
+        enum subItem TypePowerups //Diffrent Types of Items of the Type Powerups
+        {
+            Weapon,
+            Boosters,
+            Shields,
+            Repairkits,
+            Appearance,
+            Trigger
+        };
 
-			private:
-				subItemTypePermanent subtype_permanent;
-};
+        public:
+            //subItemTypePowerups CheckSubType();
 
-// Powerups effect the Player right after he picks them up for a certain Duration /or permanently.
-class _OrxonoxExport Powerups : public ShipItem{
-
-	enum subItem TypePowerups{ //Diffrent Types of Items of the Type Powerups
-			Weapon,
-			Boosters,
-			Shields,
-			Repairkits,
-			Appearance,
-			Trigger
-			};
-			public:
-			//subItemTypePowerups CheckSubType();
-
-			private:
-			subItemTypePowerups subtype_powerups;
-};
-
+        private:
+            subItemTypePowerups subtype_powerups;
+    };
 }
 
-
-
-
-
-
-
-
-
-
 #endif
Index: /code/trunk/src/orxonox/objects/pickup/Usable.h
===================================================================
--- /code/trunk/src/orxonox/objects/pickup/Usable.h	(revision 2093)
+++ /code/trunk/src/orxonox/objects/pickup/Usable.h	(revision 2094)
@@ -1,12 +1,12 @@
-/*enum 	subItemType{ Subtypes (thrusters etc)*/
+/*enum subItemType{ Subtypes (thrusters etc)*/
 
-namespace orxonox{
-	class _OrxonoxExport Usable: public ShipItem{
-
-	public:
-	subtypeusable CheckSubType();
-	private:
-	subtypeusable subtype;
-
-	};
+namespace orxonox
+{
+    class _OrxonoxExport Usable: public ShipItem
+    {
+        public:
+            subtypeusable CheckSubType();
+        private:
+            subtypeusable subtype;
+    };
 }