Index: code/trunk/src/orxonox/objects/quest/AddQuest.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/AddQuest.h	(revision 2094)
+++ code/trunk/src/orxonox/objects/quest/AddQuest.h	(revision 2095)
@@ -30,4 +30,6 @@
 #define _AddQuest_H__
 
+#include "OrxonoxPrereqs.h"
+
 #include <string>
 
@@ -45,5 +47,5 @@
         Damian 'Mozork' Frick
     */
-    class AddQuest : public ChangeQuestStatus
+    class _OrxonoxExport AddQuest : public ChangeQuestStatus
     {
         public:
Index: code/trunk/src/orxonox/objects/quest/AddQuestHint.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/AddQuestHint.cc	(revision 2094)
+++ code/trunk/src/orxonox/objects/quest/AddQuestHint.cc	(revision 2095)
@@ -30,7 +30,8 @@
 #include "util/Exception.h"
 
+#include "AddQuestHint.h"
 #include "QuestManager.h"
 #include "QuestItem.h"
-#include "AddQuestHint.h"
+#include "QuestHint.h"
 
 namespace orxonox {
Index: code/trunk/src/orxonox/objects/quest/AddQuestHint.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/AddQuestHint.h	(revision 2094)
+++ code/trunk/src/orxonox/objects/quest/AddQuestHint.h	(revision 2095)
@@ -30,4 +30,6 @@
 #define _AddQuestHint_H__
 
+#include "OrxonoxPrereqs.h"
+
 #include <string>
 
@@ -44,5 +46,5 @@
         Damian 'Mozork' Frick
     */
-    class AddQuestHint : public QuestEffect
+    class _OrxonoxExport AddQuestHint : public QuestEffect
     {
         public:
Index: code/trunk/src/orxonox/objects/quest/AddReward.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/AddReward.cc	(revision 2094)
+++ code/trunk/src/orxonox/objects/quest/AddReward.cc	(revision 2095)
@@ -30,4 +30,5 @@
 
 #include "AddReward.h"
+#include "Rewardable.h"
 
 namespace orxonox {
Index: code/trunk/src/orxonox/objects/quest/AddReward.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/AddReward.h	(revision 2094)
+++ code/trunk/src/orxonox/objects/quest/AddReward.h	(revision 2095)
@@ -30,8 +30,9 @@
 #define _AddReward_H__
 
+#include "OrxonoxPrereqs.h"
+
 #include <list>
 
 #include "core/XMLPort.h"
-#include "Rewardable.h"
 #include "QuestEffect.h"
 
@@ -46,5 +47,5 @@
         Damian 'Mozork' Frick
     */
-    class AddReward : public QuestEffect
+    class _OrxonoxExport AddReward : public QuestEffect
     {
         public:
Index: code/trunk/src/orxonox/objects/quest/ChangeQuestStatus.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/ChangeQuestStatus.h	(revision 2094)
+++ code/trunk/src/orxonox/objects/quest/ChangeQuestStatus.h	(revision 2095)
@@ -30,4 +30,6 @@
 #define _ChangeQuestStatus_H__
 
+#include "OrxonoxPrereqs.h"
+
 #include <string>
 
@@ -45,5 +47,5 @@
         Damian 'Mozork' Frick
     */
-    class ChangeQuestStatus : public QuestEffect
+    class _OrxonoxExport ChangeQuestStatus : public QuestEffect
     {
         public:
Index: code/trunk/src/orxonox/objects/quest/CompleteQuest.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/CompleteQuest.h	(revision 2094)
+++ code/trunk/src/orxonox/objects/quest/CompleteQuest.h	(revision 2095)
@@ -30,4 +30,6 @@
 #define _CompleteQuest_H__
 
+#include "OrxonoxPrereqs.h"
+
 #include <string>
 
@@ -45,5 +47,5 @@
         Damian 'Mozork' Frick
     */
-    class CompleteQuest : public ChangeQuestStatus
+    class _OrxonoxExport CompleteQuest : public ChangeQuestStatus
     {
         public:
Index: code/trunk/src/orxonox/objects/quest/FailQuest.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/FailQuest.h	(revision 2094)
+++ code/trunk/src/orxonox/objects/quest/FailQuest.h	(revision 2095)
@@ -30,4 +30,6 @@
 #define _FailQuest_H__
 
+#include "OrxonoxPrereqs.h"
+
 #include <string>
 
@@ -45,5 +47,5 @@
         Damian 'Mozork' Frick
     */
-    class FailQuest : public ChangeQuestStatus
+    class _OrxonoxExport FailQuest : public ChangeQuestStatus
     {
         public:
Index: code/trunk/src/orxonox/objects/quest/GlobalQuest.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/GlobalQuest.h	(revision 2094)
+++ code/trunk/src/orxonox/objects/quest/GlobalQuest.h	(revision 2095)
@@ -30,4 +30,6 @@
 #define _GlobalQuest_H__
 
+#include "OrxonoxPrereqs.h"
+
 #include <set>
 
@@ -46,5 +48,5 @@
         Damian 'Mozork' Frick
     */
-    class GlobalQuest : public Quest
+    class _OrxonoxExport GlobalQuest : public Quest
     {
         public:
Index: code/trunk/src/orxonox/objects/quest/LocalQuest.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/LocalQuest.h	(revision 2094)
+++ code/trunk/src/orxonox/objects/quest/LocalQuest.h	(revision 2095)
@@ -30,4 +30,6 @@
 #define _LocalQuest_H__
 
+#include "OrxonoxPrereqs.h"
+
 #include <map>
 #include <string>
@@ -46,5 +48,5 @@
         Damian 'Mozork' Frick
     */
-    class LocalQuest : public Quest
+    class _OrxonoxExport LocalQuest : public Quest
     {
         public:
Index: code/trunk/src/orxonox/objects/quest/Quest.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/Quest.cc	(revision 2094)
+++ code/trunk/src/orxonox/objects/quest/Quest.cc	(revision 2095)
@@ -31,4 +31,7 @@
 #include "Quest.h"
 #include "QuestManager.h"
+#include "QuestDescription.h"
+#include "QuestHint.h"
+#include "QuestEffect.h"
 
 namespace orxonox {
Index: code/trunk/src/orxonox/objects/quest/Quest.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/Quest.h	(revision 2094)
+++ code/trunk/src/orxonox/objects/quest/Quest.h	(revision 2095)
@@ -30,12 +30,11 @@
 #define _Quest_H__
 
+#include "OrxonoxPrereqs.h"
+
 #include <list>
 #include <string>
 
 #include "core/XMLPort.h"
-#include "QuestDescription.h"
 #include "QuestItem.h"
-#include "QuestHint.h"
-#include "QuestEffect.h"
 
 namespace questStatus
@@ -64,5 +63,5 @@
         Damian 'Mozork' Frick
     */
-    class Quest : public QuestItem
+    class _OrxonoxExport Quest : public QuestItem
     {
         public:
Index: code/trunk/src/orxonox/objects/quest/QuestDescription.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestDescription.h	(revision 2094)
+++ code/trunk/src/orxonox/objects/quest/QuestDescription.h	(revision 2095)
@@ -30,4 +30,6 @@
 #define _QuestDescription_H__
 
+#include "OrxonoxPrereqs.h"
+
 #include <string>
 
@@ -44,5 +46,5 @@
         Damian 'Mozork' Frick
     */
-    class QuestDescription : public BaseObject {
+    class _OrxonoxExport QuestDescription : public BaseObject {
 
         public:
Index: code/trunk/src/orxonox/objects/quest/QuestEffect.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestEffect.h	(revision 2094)
+++ code/trunk/src/orxonox/objects/quest/QuestEffect.h	(revision 2095)
@@ -30,4 +30,6 @@
 #define _QuestEffect_H__
 
+#include "OrxonoxPrereqs.h"
+
 #include <list>
 
@@ -44,5 +46,5 @@
         Damian 'Mozork' Frick
     */
-    class QuestEffect : public BaseObject
+    class _OrxonoxExport QuestEffect : public BaseObject
     {
         public:
Index: code/trunk/src/orxonox/objects/quest/QuestHint.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestHint.h	(revision 2094)
+++ code/trunk/src/orxonox/objects/quest/QuestHint.h	(revision 2095)
@@ -30,9 +30,10 @@
 #define _QuestHint_H__
 
+#include "OrxonoxPrereqs.h"
+
 #include <map>
 #include <string>
 
 #include "core/XMLPort.h"
-#include "QuestDescription.h"
 #include "QuestItem.h"
 
@@ -52,5 +53,4 @@
 
     class Player; //Forward declaration, remove when fully integrated into the objecthirarchy.
-    class Quest; //To avoid circual includes.
 
     /**
@@ -62,5 +62,5 @@
         Damian 'Mozork' Frick
     */
-    class QuestHint : public QuestItem
+    class _OrxonoxExport QuestHint : public QuestItem
     {
 
Index: code/trunk/src/orxonox/objects/quest/QuestItem.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestItem.cc	(revision 2094)
+++ code/trunk/src/orxonox/objects/quest/QuestItem.cc	(revision 2095)
@@ -30,4 +30,5 @@
 
 #include "QuestItem.h"
+#include "QuestDescription.h"
 
 namespace orxonox {
Index: code/trunk/src/orxonox/objects/quest/QuestItem.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestItem.h	(revision 2094)
+++ code/trunk/src/orxonox/objects/quest/QuestItem.h	(revision 2095)
@@ -30,9 +30,10 @@
 #define _QuestItem_H__
 
+#include "OrxonoxPrereqs.h"
+
 #include <string>
 
 #include "core/BaseObject.h"
 #include "core/XMLPort.h"
-#include "QuestDescription.h"
 
 namespace orxonox {
@@ -46,5 +47,5 @@
         Damian 'Mozork' Frick
     */
-    class QuestItem : public BaseObject
+    class _OrxonoxExport QuestItem : public BaseObject
     {
 
Index: code/trunk/src/orxonox/objects/quest/QuestManager.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestManager.cc	(revision 2094)
+++ code/trunk/src/orxonox/objects/quest/QuestManager.cc	(revision 2095)
@@ -31,4 +31,6 @@
 
 #include "QuestManager.h"
+#include "Quest.h"
+#include "QuestHint.h"
 
 namespace orxonox {
Index: code/trunk/src/orxonox/objects/quest/QuestManager.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestManager.h	(revision 2094)
+++ code/trunk/src/orxonox/objects/quest/QuestManager.h	(revision 2095)
@@ -30,10 +30,10 @@
 #define _QuestManager_H__
 
+#include "OrxonoxPrereqs.h"
+
 #include <map>
 #include <string>
 
 #include "core/BaseObject.h"
-#include "Quest.h"
-#include "QuestHint.h"
 
 namespace orxonox {
@@ -46,5 +46,5 @@
         Damian 'Mozork' Frick
     */
-    class QuestManager : public BaseObject
+    class _OrxonoxExport QuestManager : public BaseObject
     {
 
Index: code/trunk/src/orxonox/objects/quest/Rewardable.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/Rewardable.h	(revision 2094)
+++ code/trunk/src/orxonox/objects/quest/Rewardable.h	(revision 2095)
@@ -30,4 +30,6 @@
 #define _Rewardable_H__
 
+#include "OrxonoxPrereqs.h"
+
 #include "core/BaseObject.h"
 
@@ -42,5 +44,5 @@
         Damian 'Mozork' Frick
     */
-    class Rewardable : public BaseObject
+    class _OrxonoxExport Rewardable : public BaseObject
     {
 