Index: /orxonox/branches/chris/src/camera.cc
===================================================================
--- /orxonox/branches/chris/src/camera.cc	(revision 2099)
+++ /orxonox/branches/chris/src/camera.cc	(revision 2100)
@@ -16,6 +16,7 @@
 */
 
-
 #include "camera.h"
+#include "world.h"
+#include "world_entity.h"
 
 using namespace std;
@@ -93,5 +94,5 @@
   glLoadMatrixf (matrix);
   	// translation
-  glTranslatef (actual_place.v.x, actual_place.v.y, actual_place.v.z);
+  glTranslatef (actual_place.r.x, actual_place.r.y, actual_place.r.z);
   
   glMatrixMode (GL_MODELVIEW);
@@ -130,5 +131,5 @@
 	if( entity != NULL)
 	{
-		if( entity->bFree) printf("Cannot bind camera to free entity");
+		if( entity->isFree ()) printf("Cannot bind camera to free entity");
 		else bound = entity;
 	} 
Index: /orxonox/branches/chris/src/camera.h
===================================================================
--- /orxonox/branches/chris/src/camera.h	(revision 2099)
+++ /orxonox/branches/chris/src/camera.h	(revision 2100)
@@ -6,4 +6,8 @@
 #ifndef CAMERA_H
 #define CAMERA_H
+
+#include "stdincl.h"
+
+class WorldEntity;
 
 //! Camera
@@ -26,8 +30,8 @@
   ~Camera ();
 
-	void time_slice (float deltaT);
-	apply ();
-	bind (WorldEntity* entity);
-	jump (Placement* plc);
+	void time_slice (Uint32 deltaT);
+	void apply ();
+	void bind (WorldEntity* entity);
+	void jump (Placement* plc);
 
 };
Index: /orxonox/branches/chris/src/collision.cc
===================================================================
--- /orxonox/branches/chris/src/collision.cc	(revision 2099)
+++ /orxonox/branches/chris/src/collision.cc	(revision 2100)
@@ -18,5 +18,4 @@
 
 #include "collision.h"
-
 
 using namespace std;
Index: /orxonox/branches/chris/src/command_node.cc
===================================================================
--- /orxonox/branches/chris/src/command_node.cc	(revision 2099)
+++ /orxonox/branches/chris/src/command_node.cc	(revision 2100)
@@ -18,4 +18,5 @@
 #include "keynames.h"
 #include "ini_parser.h"
+#include "world_entity.h"
 
 #include <stdio.h>
Index: /orxonox/branches/chris/src/command_node.h
===================================================================
--- /orxonox/branches/chris/src/command_node.h	(revision 2099)
+++ /orxonox/branches/chris/src/command_node.h	(revision 2100)
@@ -10,4 +10,6 @@
 
 #include "stdincl.h"
+
+class WorldEntity;
 
 #define N_STD_KEYS SDLK_LAST
Index: /orxonox/branches/chris/src/keynames.cc
===================================================================
--- /orxonox/branches/chris/src/keynames.cc	(revision 2099)
+++ /orxonox/branches/chris/src/keynames.cc	(revision 2100)
@@ -13,4 +13,5 @@
    co-programmer: ...
 */
+#include <SDL/SDL.h>
 
 #include "keynames.h"
@@ -25,6 +26,6 @@
 	if( !strcmp (name, "BUTTON_MIDDLE")) return SDL_BUTTON_MIDDLE;
 	if( !strcmp (name, "BUTTON_RIGHT")) return SDL_BUTTON_RIGHT;
-	if( !strcmp (name, "BUTTON_WHEELUP")) return SDL_BUTTON_WHEELUP;
-	if( !strcmp (name, "BUTTON_WHEELDOWN")) return SDL_BUTTON_WHEELDOWN;
+//	if( !strcmp (name, "BUTTON_WHEELUP")) return SDL_BUTTON_WHEELUP;
+//	if( !strcmp (name, "BUTTON_WHEELDOWN")) return SDL_BUTTON_WHEELDOWN;
 	return -1;
 }
@@ -32,10 +33,10 @@
 char* SDLB_to_buttonname( int button)
 {
-	if( button == SDL_BUTTON_LEFT)) return "BUTTON_LEFT";
-	if( button == BUTTON_MIDDLE)) return "BUTTON_MIDDLE";
-	if( button == BUTTON_RIGHT)) return "BUTTON_RIGHT";
-	if( button == BUTTON_WHEELUP)) return "BUTTON_WHEELUP";
-	if( button == BUTTON_WHEELDOWN)) return "BUTTON_WHEELDOWN";
-	return -1;
+	if( button == SDL_BUTTON_LEFT) return "BUTTON_LEFT";
+	if( button == SDL_BUTTON_MIDDLE) return "BUTTON_MIDDLE";
+	if( button == SDL_BUTTON_RIGHT) return "BUTTON_RIGHT";
+//	if( button == SDL_BUTTON_WHEELUP) return "BUTTON_WHEELUP";
+//	if( button == SDL_BUTTON_WHEELDOWN) return "BUTTON_WHEELDOWN";
+	return "UNKNOWN";
 }
 
@@ -311,4 +312,4 @@
 	if( key == SDLK_POWER) return "POWER";
 	if( key == SDLK_EURO) return "EURO";
-	return "UNKNOWN"
+	return "UNKNOWN";
 }
Index: /orxonox/branches/chris/src/orxonox.h
===================================================================
--- /orxonox/branches/chris/src/orxonox.h	(revision 2099)
+++ /orxonox/branches/chris/src/orxonox.h	(revision 2100)
@@ -5,5 +5,11 @@
 #include <SDL/SDL.h>
 
+#include "stdincl.h"
+
+class CommandNode;
+class WorldEntity;
+class DataTank;
 class World;
+class Camera;
 
 class Orxonox {
@@ -41,10 +47,10 @@
   int init_resources ();
   int init_world ();
-
-  static void event_handler (SDL_Event* event);
   
  public:
   static Orxonox* getInstance ();
   static void quitGame();
+
+  static void event_handler (SDL_Event* event);
 
   int init (int argc, char** argv);
Index: /orxonox/branches/chris/src/stdincl.h
===================================================================
--- /orxonox/branches/chris/src/stdincl.h	(revision 2099)
+++ /orxonox/branches/chris/src/stdincl.h	(revision 2100)
@@ -9,9 +9,11 @@
 #endif
 #include <SDL/SDL.h>
+#include <GL/GL.h>
 
+#include "vector.h"
+#include "coordinates.h"
 #include "list.h"
 #include "message_structures.h"
 #include "orxonox.h"
-#include "world_entity.h"
 
 #endif
Index: /orxonox/branches/chris/src/vector.h
===================================================================
--- /orxonox/branches/chris/src/vector.h	(revision 2099)
+++ /orxonox/branches/chris/src/vector.h	(revision 2100)
@@ -12,5 +12,4 @@
 #define PI 3.14159265359f
 
-CommandNode::
 class Vector {
 
@@ -55,5 +54,5 @@
   Rotation operator* (const Rotation& r);
   
-  glmatrix (float* buffer);
+  void glmatrix (float* buffer);
 };
 
Index: /orxonox/branches/chris/src/world.h
===================================================================
--- /orxonox/branches/chris/src/world.h	(revision 2099)
+++ /orxonox/branches/chris/src/world.h	(revision 2100)
@@ -2,4 +2,6 @@
 #ifndef WORLD_H
 #define WORLD_H
+
+class Track;
 
 class World {
@@ -9,6 +11,8 @@
   ~World ();
 
-	template<class T> T* spawn<T>(Location* loc, WorldEntity* owner);	// template to be able to spawn any derivation of WorldEntity
-	template<class T> T* spawn<T>(Placement* plc, WorldEntity* owner = NULL)
+	template<class T> 
+	  T* spawn<T>(Location* loc, WorldEntity* owner);	// template to be able to spawn any derivation of WorldEntity
+	template<class T> 
+	  T* spawn<T>(Placement* plc, WorldEntity* owner);
 
 	void time_slice (Uint32 deltaT);
Index: /orxonox/branches/chris/src/world_entity.cc
===================================================================
--- /orxonox/branches/chris/src/world_entity.cc	(revision 2099)
+++ /orxonox/branches/chris/src/world_entity.cc	(revision 2100)
@@ -53,4 +53,9 @@
 {
 	return &place;
+}
+
+bool WorldEntity::isFree ()
+{
+  return bFree;
 }
 
Index: /orxonox/branches/chris/src/world_entity.h
===================================================================
--- /orxonox/branches/chris/src/world_entity.h	(revision 2099)
+++ /orxonox/branches/chris/src/world_entity.h	(revision 2100)
@@ -3,9 +3,5 @@
 #define WORLD_ENTITY_H
 
-#include "stdincl.h"
-//#include "data_tank.h"
-
-class Vector;
-class Ability;
+class CollisionCluster;
 
 class WorldEntity
@@ -20,5 +16,7 @@
  	Placement* get_placement ();
  	void set_collision (CollisionCluster* newhull);
- 	 	
+ 	
+ 	bool isFree ();
+ 	
   //void addAbility(Ability* ability);
   //void removeAbility(Ability* ability);