Index: code/trunk/src/orxonox/objects/WeaponSystem.cc
===================================================================
--- code/trunk/src/orxonox/objects/WeaponSystem.cc	(revision 2105)
+++ 	(revision )
@@ -1,100 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Martin Polak
- *   Co-authors:
- *      ...
- *
- */
-
-#include "OrxonoxStableHeaders.h"
-
-#include <vector>
-
-#include "core/CoreIncludes.h"
-#include "core/XMLPort.h"
-#include "util/Debug.h"
-
-#include "WeaponSystem.h"
-
-/* WEAPONSYSTEM
- * creates the WeaponSystem and the ability to use weapons and munition
- * loads the weapon the whole weaponSystem setting from an xml file
- *
- */
-
-namespace orxonox
-{
-    WeaponSystem::WeaponSystem(BaseObject* creator) : BaseObject(creator)
-    {
-        RegisterObject(WeaponSystem);
-
-        this->activeWeaponSet_ = 0;
-        this->parentSpaceShip_ = 0;
-    }
-
-    WeaponSystem::~WeaponSystem()
-    {
-    }
-
-    //creates empty weaponSet
-    void WeaponSystem::attachWeaponSet(WeaponSet *wSet)
-    {
-        this->weaponSets_.push_back(wSet);
-        wSet->setParentWeaponSystem(this);
-    }
-
-    //the first weaponSet is at n=0
-    void WeaponSystem::setActiveWeaponSet(unsigned int n)
-    {
-        if (n < this->weaponSets_.size())
-            this->activeWeaponSet_ = this->weaponSets_[n];
-    }
-
-    //n is the n'th weaponSet, starting with zero
-    //Spaceship.cc only needs to have the keybinding to a specific Set-number n
-    void WeaponSystem::fire(unsigned int n)
-    {
-        if (n < this->weaponSets_.size())
-            this->weaponSets_[n]->fire();
-    }
-
-    void WeaponSystem::fire()
-    {
-        if (this->activeWeaponSet_)
-            this->activeWeaponSet_->fire();
-    }
-
-    WeaponSet * WeaponSystem::getWeaponSetPointer(unsigned int n)
-    {
-        if (n < this->weaponSets_.size())
-            return this->weaponSets_[n];
-        else
-            return 0;
-    }
-
-    void WeaponSystem::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-
-    }
-
-}
Index: code/trunk/src/orxonox/objects/WeaponSystem.h
===================================================================
--- code/trunk/src/orxonox/objects/WeaponSystem.h	(revision 2105)
+++ 	(revision )
@@ -1,69 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Martin Polak
- *   Co-authors:
- *      ...
- *
- */
-
-
-#ifndef _WeaponSystem_H__
-#define _WeaponSystem_H__
-
-#include "OrxonoxPrereqs.h"
-
-#include "core/BaseObject.h"
-
-#include "weaponSystem/WeaponSet.h"
-
-namespace orxonox
-{
-    class _OrxonoxExport WeaponSystem : public BaseObject
-    {
-        public:
-            WeaponSystem(BaseObject* creator);
-            virtual ~WeaponSystem();
-
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-
-            void attachWeaponSet(WeaponSet *wSet);
-            void fire();
-            void fire(unsigned int n);
-            void setActiveWeaponSet(unsigned int n);
-            WeaponSet * getWeaponSetPointer(unsigned int n);
-
-            inline void setParentSpaceShip(SpaceShip *parentSpaceShip)
-                { parentSpaceShip_=parentSpaceShip; }
-            inline SpaceShip * getParentSpaceShip()
-                { return parentSpaceShip_; }
-
-
-        private:
-            std::vector<WeaponSet *> weaponSets_;
-            WeaponSet *activeWeaponSet_;
-
-            SpaceShip *parentSpaceShip_;
-    };
-}
-
-#endif /* _WeaponSystem_H__ */
Index: code/trunk/src/orxonox/objects/weaponSystem/Munition.h
===================================================================
--- code/trunk/src/orxonox/objects/weaponSystem/Munition.h	(revision 2105)
+++ code/trunk/src/orxonox/objects/weaponSystem/Munition.h	(revision 2106)
@@ -52,3 +52,3 @@
 }
 
-#endif /* _WeaponSystem_H__ */
+#endif /* _Munition_H__ */
Index: code/trunk/src/orxonox/objects/weaponSystem/Weapon.h
===================================================================
--- code/trunk/src/orxonox/objects/weaponSystem/Weapon.h	(revision 2105)
+++ code/trunk/src/orxonox/objects/weaponSystem/Weapon.h	(revision 2106)
@@ -57,3 +57,3 @@
 }
 
-#endif /* _WeaponSystem_H__ */
+#endif /* _Weapon_H__ */
Index: code/trunk/src/orxonox/objects/weaponSystem/WeaponSet.h
===================================================================
--- code/trunk/src/orxonox/objects/weaponSystem/WeaponSet.h	(revision 2105)
+++ code/trunk/src/orxonox/objects/weaponSystem/WeaponSet.h	(revision 2106)
@@ -63,3 +63,3 @@
 }
 
-#endif /* _WeaponSystem_H__ */
+#endif /* _WeaponSet_H__ */
Index: code/trunk/src/orxonox/objects/weaponSystem/WeaponSlot.h
===================================================================
--- code/trunk/src/orxonox/objects/weaponSystem/WeaponSlot.h	(revision 2105)
+++ code/trunk/src/orxonox/objects/weaponSystem/WeaponSlot.h	(revision 2106)
@@ -67,3 +67,3 @@
 }
 
-#endif /* _WeaponSystem_H__ */
+#endif /* _WeaponSlot_H__ */
Index: code/trunk/src/orxonox/objects/weaponSystem/WeaponSystem.cc
===================================================================
--- code/trunk/src/orxonox/objects/weaponSystem/WeaponSystem.cc	(revision 2106)
+++ code/trunk/src/orxonox/objects/weaponSystem/WeaponSystem.cc	(revision 2106)
@@ -0,0 +1,100 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Martin Polak
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+#include "OrxonoxStableHeaders.h"
+
+#include <vector>
+
+#include "core/CoreIncludes.h"
+#include "core/XMLPort.h"
+#include "util/Debug.h"
+
+#include "WeaponSystem.h"
+
+/* WEAPONSYSTEM
+ * creates the WeaponSystem and the ability to use weapons and munition
+ * loads the weapon the whole weaponSystem setting from an xml file
+ *
+ */
+
+namespace orxonox
+{
+    WeaponSystem::WeaponSystem(BaseObject* creator) : BaseObject(creator)
+    {
+        RegisterObject(WeaponSystem);
+
+        this->activeWeaponSet_ = 0;
+        this->parentSpaceShip_ = 0;
+    }
+
+    WeaponSystem::~WeaponSystem()
+    {
+    }
+
+    //creates empty weaponSet
+    void WeaponSystem::attachWeaponSet(WeaponSet *wSet)
+    {
+        this->weaponSets_.push_back(wSet);
+        wSet->setParentWeaponSystem(this);
+    }
+
+    //the first weaponSet is at n=0
+    void WeaponSystem::setActiveWeaponSet(unsigned int n)
+    {
+        if (n < this->weaponSets_.size())
+            this->activeWeaponSet_ = this->weaponSets_[n];
+    }
+
+    //n is the n'th weaponSet, starting with zero
+    //Spaceship.cc only needs to have the keybinding to a specific Set-number n
+    void WeaponSystem::fire(unsigned int n)
+    {
+        if (n < this->weaponSets_.size())
+            this->weaponSets_[n]->fire();
+    }
+
+    void WeaponSystem::fire()
+    {
+        if (this->activeWeaponSet_)
+            this->activeWeaponSet_->fire();
+    }
+
+    WeaponSet * WeaponSystem::getWeaponSetPointer(unsigned int n)
+    {
+        if (n < this->weaponSets_.size())
+            return this->weaponSets_[n];
+        else
+            return 0;
+    }
+
+    void WeaponSystem::XMLPort(Element& xmlelement, XMLPort::Mode mode)
+    {
+
+    }
+
+}
Index: code/trunk/src/orxonox/objects/weaponSystem/WeaponSystem.h
===================================================================
--- code/trunk/src/orxonox/objects/weaponSystem/WeaponSystem.h	(revision 2106)
+++ code/trunk/src/orxonox/objects/weaponSystem/WeaponSystem.h	(revision 2106)
@@ -0,0 +1,69 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Martin Polak
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+
+#ifndef _WeaponSystem_H__
+#define _WeaponSystem_H__
+
+#include "OrxonoxPrereqs.h"
+
+#include "core/BaseObject.h"
+
+#include "weaponSystem/WeaponSet.h"
+
+namespace orxonox
+{
+    class _OrxonoxExport WeaponSystem : public BaseObject
+    {
+        public:
+            WeaponSystem(BaseObject* creator);
+            virtual ~WeaponSystem();
+
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+
+            void attachWeaponSet(WeaponSet *wSet);
+            void fire();
+            void fire(unsigned int n);
+            void setActiveWeaponSet(unsigned int n);
+            WeaponSet * getWeaponSetPointer(unsigned int n);
+
+            inline void setParentSpaceShip(SpaceShip *parentSpaceShip)
+                { parentSpaceShip_=parentSpaceShip; }
+            inline SpaceShip * getParentSpaceShip()
+                { return parentSpaceShip_; }
+
+
+        private:
+            std::vector<WeaponSet *> weaponSets_;
+            WeaponSet *activeWeaponSet_;
+
+            SpaceShip *parentSpaceShip_;
+    };
+}
+
+#endif /* _WeaponSystem_H__ */
Index: code/trunk/src/orxonox/objects/weaponSystem/munitions/LaserGunMunition.h
===================================================================
--- code/trunk/src/orxonox/objects/weaponSystem/munitions/LaserGunMunition.h	(revision 2105)
+++ code/trunk/src/orxonox/objects/weaponSystem/munitions/LaserGunMunition.h	(revision 2106)
@@ -56,3 +56,3 @@
 }
 
-#endif /* _WeaponSystem_H__ */
+#endif /* _LaserGunMunition_H__ */
Index: code/trunk/src/orxonox/objects/weaponSystem/weapons/LaserGun.h
===================================================================
--- code/trunk/src/orxonox/objects/weaponSystem/weapons/LaserGun.h	(revision 2105)
+++ code/trunk/src/orxonox/objects/weaponSystem/weapons/LaserGun.h	(revision 2106)
@@ -58,3 +58,3 @@
 }
 
-#endif /* _WeaponSystem_H__ */
+#endif /* _LaserGun_H__ */
Index: code/trunk/src/orxonox/objects/weaponSystem/weapons/Missile.h
===================================================================
--- code/trunk/src/orxonox/objects/weaponSystem/weapons/Missile.h	(revision 2105)
+++ code/trunk/src/orxonox/objects/weaponSystem/weapons/Missile.h	(revision 2106)
@@ -52,3 +52,3 @@
 }
 
-#endif /* _WeaponSystem_H__ */
+#endif /* _Missile_H__ */
Index: code/trunk/src/orxonox/objects/worldentities/pawns/Pawn.cc
===================================================================
--- code/trunk/src/orxonox/objects/worldentities/pawns/Pawn.cc	(revision 2105)
+++ code/trunk/src/orxonox/objects/worldentities/pawns/Pawn.cc	(revision 2106)
@@ -35,5 +35,5 @@
 #include "objects/infos/PlayerInfo.h"
 #include "objects/gametypes/Gametype.h"
-#include "objects/WeaponSystem.h"
+#include "objects/weaponSystem/WeaponSystem.h"
 
 namespace orxonox